Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstructionAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstructionAuxiliary.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstructionAuxiliary.cs	(revision 484)
@@ -712,7 +712,7 @@
                 m_DspControl[(int)DspCtrlName.ConstName].Text = BaseDetailRec.DetailString;
 
                 // 日報データを取得する
-                strSQL = DailyDB.CreatePrimarykeyString(m_PersonCode, GetTargetToday(), m_ConstructionCode);
+                strSQL = DailyDB.CreatePrimarykeyString(m_ConstructionCode, GetTargetToday());
                 DailyDataConstruction DailyDataRec = new DailyDataConstruction();
                 DailyDB.SelectAction(strSQL, ref DailyDataRec);
                 
@@ -875,14 +875,33 @@
                 strSQL.Append(", A.COMPANYCODE");
                 strSQL.Append(", C.COMPANYNAME");
                 strSQL.Append(", A.TODAYHEADCOUNT");
-                strSQL.Append(", A.TOTALHEADCOUNT");
+                //strSQL.Append(", A.TOTALHEADCOUNT");
+                strSQL.Append(", IfNull(D.TOTACOUNT, 0)");
                 strSQL.Append(", A.TODAYWORK");
                 strSQL.Append(", A.NEXTDAYWORK");
                 strSQL.Append(", A.NEXTDAYHEADCOUNT");
-                strSQL.Append(" FROM DAILYDATADETAIL A");
-                strSQL.Append(" LEFT JOIN SUBCONTRACTORJOBCATEGORY B ON A.JOBCATEGORYCODE = B.JOBCATEGORYCODE");
-                strSQL.Append(" LEFT JOIN SUBCONTRACTORMASTER C ON A.COMPANYCODE = C.COMPANYCODE");
-                strSQL.Append(DetailDB.CreatePrimarykeyString(m_PersonCode, GetTargetToday(), m_ConstructionCode, 0));
+                strSQL.Append(" FROM DAILYDATADETAIL As A");
+
+                strSQL.Append(" LEFT JOIN SUBCONTRACTORJOBCATEGORY As B ON A.JOBCATEGORYCODE = B.JOBCATEGORYCODE");
+
+                strSQL.Append(" LEFT JOIN SUBCONTRACTORMASTER As C ON A.COMPANYCODE = C.COMPANYCODE");
+
+                strSQL.Append(" LEFT JOIN (Select DD.ConstructionCode");
+                strSQL.Append("                 , DD.JobCategoryCode");
+                strSQL.Append("                 , DD.CompanyCode");
+                strSQL.Append("                 , SUM(DD.TodayHeadCount) As TOTACOUNT");
+                strSQL.Append("            From DAILYDATADETAIL As DD");
+                strSQL.AppendFormat("      Where DATE (DD.DailyDataDate) <= '{0}'", GetTargetToday().ToShortDateString());
+                strSQL.Append("            Group By DD.ConstructionCode");
+                strSQL.Append("                   , DD.JobCategoryCode");
+                strSQL.Append("                   , DD.CompanyCode) As D");
+                strSQL.Append("      On D.ConstructionCode = A.ConstructionCode");
+                strSQL.Append("      And D.JobCategoryCode = A.JobCategoryCode");
+                strSQL.Append("      And D.CompanyCode = A.CompanyCode");
+
+                strSQL.Append(" WHERE");
+                strSQL.AppendFormat(" A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL.AppendFormat(" AND DATE(A.DailyDataDate) = '{0}'", GetTargetToday().ToShortDateString());
                 strSQL.Append(" ORDER BY A.SEQNO");
                 ArrayList arList = new ArrayList();
                 if (!DetailDB.ExecuteReader(strSQL.ToString(), ref arList) || arList.Count == 0)
@@ -942,17 +961,6 @@
                     CurRow.Cells[(int)DispGridColumn1.NextdayWork].Value = CommonMotions.cnvString(RecData[7]);
                     CurRow.Cells[(int)DispGridColumn1.NextdayHeadCount].Value = CommonMotions.cnvDouble(RecData[8]).ToString(sFormat[2]);
 
-                    //dgv.Rows.Add((ino++),
-                    //                CommonMotions.cnvInt(RecData[0]),
-                    //                CommonMotions.cnvString(RecData[1]),
-                    //                iCompany,
-                    //                strCompany,
-                    //                CommonMotions.cnvDouble(RecData[4]).ToString(sFormat[0]),
-                    //                CommonMotions.cnvDouble(RecData[5]).ToString(sFormat[1]),
-                    //                CommonMotions.cnvString(RecData[6]),
-                    //                CommonMotions.cnvString(RecData[7]),
-                    //                CommonMotions.cnvDouble(RecData[8]).ToString(sFormat[2]));
-
                     CurRow.Cells[(int)DispGridColumn1.JobCategoryName].ToolTipText = CommonMotions.cnvString(RecData[1]);
                     CurRow.Cells[(int)DispGridColumn1.CompanyName].ToolTipText = CommonMotions.cnvString(RecData[3]);
                     CurRow.Cells[(int)DispGridColumn1.TodayWork].ToolTipText = CommonMotions.cnvString(RecData[6]);
@@ -1009,7 +1017,7 @@
                 strSQL.Append(" FROM DAILYDATADETAIL A");
                 strSQL.Append(" LEFT JOIN SUBCONTRACTORJOBCATEGORY B ON A.JOBCATEGORYCODE = B.JOBCATEGORYCODE");
                 strSQL.Append(" LEFT JOIN SUBCONTRACTORMASTER C ON A.COMPANYCODE = C.COMPANYCODE");
-                strSQL.Append(DetailDB.CreatePrimarykeyString(m_PersonCode, MaxDate, m_ConstructionCode, 0));
+                strSQL.Append(DetailDB.CreatePrimarykeyString(m_ConstructionCode, MaxDate));
                 strSQL.Append(" ORDER BY A.SEQNO");
                 if (!DetailDB.ExecuteReader(strSQL.ToString(), ref DispList) || DispList.Count == 0) return false;
 
@@ -1073,7 +1081,7 @@
 
                 // 明細データ取得
                 StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(VehiclesDB.CreatePrimarykeyString(m_PersonCode, GetTargetToday(), m_ConstructionCode, 0));
+                strSQL.Append(VehiclesDB.CreatePrimarykeyString(m_ConstructionCode, GetTargetToday()));
                 strSQL.Append(" ORDER BY SEQNO");
                 List<DailyDataVehicles> VehiclesList = new List<DailyDataVehicles>();
                 if (!VehiclesDB.SelectAction(strSQL.ToString(), ref VehiclesList) || VehiclesList.Count == 0)
@@ -1087,16 +1095,6 @@
                 int ino = 1;
                 foreach (DailyDataVehicles RecData in VehiclesList)
                 {
-                    //dgv.Rows.Add((ino++),
-                    //                RecData.Model,
-                    //                RecData.Performance,
-                    //                RecData.Owner,
-                    //                RecData.Driver,
-                    //                RecData.StartWorkingTime.ToShortTimeString(),
-                    //                "～",
-                    //                RecData.EndWorkingTime.ToShortTimeString());
-
-                    //int CurRowCnt = dgv.RowCount - 1;
                     int nRowIndex = dgv.Rows.Add(1);
                     DataGridViewRow CurRow = dgv.Rows[nRowIndex];
 
@@ -1176,7 +1174,7 @@
 
                 // 明細データ取得
                 StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(MaterialsDB.CreatePrimarykeyString(m_PersonCode, GetTargetToday(), m_ConstructionCode, 0));
+                strSQL.Append(MaterialsDB.CreatePrimarykeyString(m_ConstructionCode, GetTargetToday()));
                 strSQL.Append(" ORDER BY SEQNO");
                 List<DailyDataMaterials> MaterialsList = new List<DailyDataMaterials>();
                 if (!MaterialsDB.SelectAction(strSQL.ToString(), ref MaterialsList) || MaterialsList.Count == 0)
@@ -1190,15 +1188,6 @@
                 int ino = 1;
                 foreach (DailyDataMaterials RecData in MaterialsList)
                 {
-                    //dgv.Rows.Add((ino++),
-                    //                RecData.Materials,
-                    //                RecData.Quantity,
-                    //                RecData.Production,
-                    //                RecData.Delivery,
-                    //                RecData.QualityControl);
-
-                    //int CurRowCnt = dgv.RowCount - 1;
-
                     int nRowIndex = dgv.Rows.Add(1);
                     DataGridViewRow CurRow = dgv.Rows[nRowIndex];
 
@@ -1247,7 +1236,7 @@
 
                 // 明細データ取得
                 StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(SubcontractorsDB.CreatePrimarykeyString(m_PersonCode, GetTargetToday(), m_ConstructionCode, 0));
+                strSQL.Append(SubcontractorsDB.CreatePrimarykeyString(m_ConstructionCode, GetTargetToday()));
                 strSQL.Append(" ORDER BY SEQNO");
                 List<DailyDataSubcontractors> SubcontractorsList = new List<DailyDataSubcontractors>();
                 if (!SubcontractorsDB.SelectAction(strSQL.ToString(), ref SubcontractorsList) || SubcontractorsList.Count == 0)
@@ -1261,12 +1250,6 @@
                 int ino = 1;
                 foreach (DailyDataSubcontractors RecData in SubcontractorsList)
                 {
-                    //dgv.Rows.Add((ino++),
-                    //            RecData.Attendee,
-                    //            RecData.ContentsText);
-
-                    //int CurRowCnt = dgv.RowCount - 1;
-
                     int nRowIndex = dgv.Rows.Add(1);
                     DataGridViewRow CurRow = dgv.Rows[nRowIndex];
 
@@ -1310,7 +1293,7 @@
 
                 // 明細データ取得
                 StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(FieldDB.CreatePrimarykeyString(m_PersonCode, GetTargetToday(), m_ConstructionCode, 0));
+                strSQL.Append(FieldDB.CreatePrimarykeyString(m_ConstructionCode, GetTargetToday()));
                 strSQL.Append(" ORDER BY SEQNO");
                 List<DailyDataField> SubcontractorsList = new List<DailyDataField>();
                 FieldDB.SelectAction(strSQL.ToString(), ref SubcontractorsList);
@@ -1625,7 +1608,7 @@
 
 
                 // 検索文字列作成
-                string strSQL = ReportDB.CreatePrimarykeyString(m_PersonCode, CreateDate, m_ConstructionCode);
+                string strSQL = ReportDB.CreatePrimarykeyString(m_ConstructionCode, CreateDate);
 
                 List<DailyDataConstruction> workList = new List<DailyDataConstruction>();
                 if (!ReportDB.SelectAction(strSQL, ref workList, false))
@@ -1678,7 +1661,7 @@
             {
                 // まず削除する
                 DateTime CreateDate = GetTargetToday();
-                string DelSQL = DetailDB.CreatePrimarykeyString(m_PersonCode, CreateDate, m_ConstructionCode, 0);
+                string DelSQL = DetailDB.CreatePrimarykeyString(m_ConstructionCode, CreateDate);
                 DetailDB.DeleteAction(DelSQL, false);
 
                 DataGridViewEX dgv = m_DgvArray[(int)DataGridDefine.Detail];
@@ -1714,7 +1697,7 @@
                     // 当日以降の累計人数を更新する
                     if (!ReCalcTotalHeadCount(DetailDB, DataRec.JobCategoryCode, DataRec.CompanyCode, DataRec.TotalHeadCount))
                     {
-                        MessageBox.Show("日報データ(明細)登録：登録２に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        MessageBox.Show("日報データ(明細)登録：更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                         return false;
                     }
                 }
@@ -1740,7 +1723,7 @@
             {
                 // まず削除する
                 DateTime CreateDate = GetTargetToday();
-                string DelSQL = VehiclesDB.CreatePrimarykeyString(m_PersonCode, CreateDate, m_ConstructionCode, 0);
+                string DelSQL = VehiclesDB.CreatePrimarykeyString(m_ConstructionCode, CreateDate);
                 VehiclesDB.DeleteAction(DelSQL, false);
 
                 DataGridViewEX dgv = m_DgvArray[(int)DataGridDefine.Vehicles];
@@ -1797,7 +1780,7 @@
             {
                 // まず削除する
                 DateTime CreateDate = GetTargetToday();
-                string DelSQL = MaterialsDB.CreatePrimarykeyString(m_PersonCode, CreateDate, m_ConstructionCode, 0);
+                string DelSQL = MaterialsDB.CreatePrimarykeyString(m_ConstructionCode, CreateDate);
                 MaterialsDB.DeleteAction(DelSQL, false);
 
                 DataGridViewEX dgv = m_DgvArray[(int)DataGridDefine.Materials];
@@ -1850,7 +1833,7 @@
             {
                 // まず削除する
                 DateTime CreateDate = GetTargetToday();
-                string DelSQL = SubcontractorsDB.CreatePrimarykeyString(m_PersonCode, CreateDate, m_ConstructionCode, 0);
+                string DelSQL = SubcontractorsDB.CreatePrimarykeyString(m_ConstructionCode, CreateDate);
                 SubcontractorsDB.DeleteAction(DelSQL, false);
 
                 DataGridViewEX dgv = m_DgvArray[(int)DataGridDefine.Subcontractors];
@@ -1900,7 +1883,7 @@
             {
                 // まず削除する
                 DateTime CreateDate = GetTargetToday();
-                string DelSQL = FieldDB.CreatePrimarykeyString(m_PersonCode, CreateDate, m_ConstructionCode, 0);
+                string DelSQL = FieldDB.CreatePrimarykeyString(m_ConstructionCode, CreateDate);
                 FieldDB.DeleteAction(DelSQL, false);
 
                 DataGridViewEX dgv = m_DgvArray[(int)DataGridDefine.Field];
@@ -2569,7 +2552,7 @@
                 DateTime CreateDate = GetTargetToday();
 
                 // 検索文字列作成
-                string strSQL = ReportDB.CreatePrimarykeyString(m_PersonCode, CreateDate, m_ConstructionCode);
+                string strSQL = ReportDB.CreatePrimarykeyString(m_ConstructionCode, CreateDate);
 
                 List<DailyDataConstruction> workList = new List<DailyDataConstruction>();
                 if (!ReportDB.SelectAction(strSQL, ref workList, false))
@@ -2614,7 +2597,7 @@
             {
                 // まず削除する
                 DateTime CreateDate = GetTargetToday();
-                string strSQL = DetailDB.CreatePrimarykeyString(m_PersonCode, CreateDate, m_ConstructionCode, 0);
+                string strSQL = DetailDB.CreatePrimarykeyString(m_ConstructionCode, CreateDate);
                 List<DailyDataDetail> workList = new List<DailyDataDetail>();
                 if (!DetailDB.SelectAction(strSQL, ref workList, false))
                 {
@@ -2658,7 +2641,7 @@
             {
                 // まず削除する
                 DateTime CreateDate = GetTargetToday();
-                string strSQL = VehiclesDB.CreatePrimarykeyString(m_PersonCode, CreateDate, m_ConstructionCode, 0);
+                string strSQL = VehiclesDB.CreatePrimarykeyString(m_ConstructionCode, CreateDate);
                 List<DailyDataVehicles> workList = new List<DailyDataVehicles>();
                 if (!VehiclesDB.SelectAction(strSQL, ref workList, false))
                 {
@@ -2702,7 +2685,7 @@
             {
                 // まず削除する
                 DateTime CreateDate = GetTargetToday();
-                string strSQL = MaterialsDB.CreatePrimarykeyString(m_PersonCode, CreateDate, m_ConstructionCode, 0);
+                string strSQL = MaterialsDB.CreatePrimarykeyString(m_ConstructionCode, CreateDate);
                 MaterialsDB.DeleteAction(strSQL, false);
 
                 List<DailyDataMaterials> workList = new List<DailyDataMaterials>();
@@ -2748,7 +2731,7 @@
             {
                 // まず削除する
                 DateTime CreateDate = GetTargetToday();
-                string strSQL = SubcontractorsDB.CreatePrimarykeyString(m_PersonCode, CreateDate, m_ConstructionCode, 0);
+                string strSQL = SubcontractorsDB.CreatePrimarykeyString(m_ConstructionCode, CreateDate);
                 SubcontractorsDB.DeleteAction(strSQL, false);
 
                 List<DailyDataSubcontractors> workList = new List<DailyDataSubcontractors>();
@@ -2794,7 +2777,7 @@
             {
                 // まず削除する
                 DateTime CreateDate = GetTargetToday();
-                string strSQL = FieldDB.CreatePrimarykeyString(m_PersonCode, CreateDate, m_ConstructionCode, 0);
+                string strSQL = FieldDB.CreatePrimarykeyString(m_ConstructionCode, CreateDate);
                 FieldDB.DeleteAction(strSQL, false);
 
                 List<DailyDataField> workList = new List<DailyDataField>();
@@ -2880,19 +2863,22 @@
                     case (int)ReadData.Final:
                         strSQL.Append("SELECT MAX(DAILYDATADATE) FROM DAILYDATACONSTRUCTION");
                         break;
+                    default:
+                        break;
                 }
 
                 strSQL.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
-                strSQL.AppendFormat(" And PersonCode = {0}", m_PersonCode);
 
                 switch (ReadPoint)
                 {
                     case (int)ReadData.Previous:
-                        strSQL.AppendFormat(" AND DATE(DAILYDATADATE) < STR_TO_DATE('{0}','%Y/%m/%d')", dTPCreateDate.Value.ToShortDateString());
+                        strSQL.AppendFormat(" AND DATE(DAILYDATADATE) < '{0}'", dTPCreateDate.Value.ToShortDateString());
                         break;
                     case (int)ReadData.Next:
-                        strSQL.AppendFormat(" AND DATE(DAILYDATADATE) > STR_TO_DATE('{0}','%Y/%m/%d')", dTPCreateDate.Value.ToShortDateString());
+                        strSQL.AppendFormat(" AND DATE(DAILYDATADATE) > '{0}'", dTPCreateDate.Value.ToShortDateString());
                         break;
+                    default:
+                        break;
                 }
 
                 ArrayList arList = new ArrayList();
@@ -3117,16 +3103,15 @@
             {
                 if (!TotalFlg && (JobCode == 0 || CompanyCode == 0)) return 0;
 
-                string strSQL = "SELECT SUM(TODAYHEADCOUNT) FROM DAILYDATADETAIL";
-                strSQL += string.Format(" WHERE PersonCode = {0}", m_PersonCode);
-                strSQL += string.Format(" AND ConstructionCode = {0}", m_ConstructionCode);
-                if (JobCode != 0) strSQL += string.Format(" AND JobCategoryCode = {0}", JobCode);
-                if (CompanyCode != 0) strSQL += string.Format(" AND CompanyCode = {0}", CompanyCode);
-                //strSQL += string.Format(" AND TO_CHAR(DailyDataDate, 'YYYY/MM/DD') < '{0}'", GetTargetToday().ToShortDateString());
-                strSQL += string.Format(" AND DATE_FORMAT(DailyDataDate, '%Y/%m/%d') < '{0}'", GetTargetToday().ToShortDateString());
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT SUM(TODAYHEADCOUNT) FROM DAILYDATADETAIL");
+                strSQL.AppendFormat(" WHERE ConstructionCode = {0}", m_ConstructionCode);
+                strSQL.AppendFormat(" AND DATE(DailyDataDate) < '{0}'", GetTargetToday().ToShortDateString());
+                if (JobCode != 0) strSQL.AppendFormat(" AND JobCategoryCode = {0}", JobCode);
+                if (CompanyCode != 0) strSQL.AppendFormat(" AND CompanyCode = {0}", CompanyCode);
 
                 ArrayList arList = new ArrayList();
-                DetailDB.ExecuteReader(strSQL, ref arList);
+                DetailDB.ExecuteReader(strSQL.ToString(), ref arList);
                 object[] wrkobj = (object[])arList[0];
 
                 return CommonMotions.cnvDouble(wrkobj[0]);
@@ -3178,37 +3163,36 @@
                 DateTime StartDate = GetTargetToday();
 
                 // 動作SQL作成
-                //string strSQL = "SELECT TO_CHAR(DailyDataDate, 'YYYY/MM/DD') FROM DAILYDATADETAIL";
-                string strSQL = "SELECT DATE_FORMAT(DailyDataDate, '%Y/%m/%d'), TODAYHEADCOUNT FROM DAILYDATADETAIL";
-
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT DATE(DailyDataDate), TODAYHEADCOUNT FROM DAILYDATADETAIL");
                 // 検索条件SQL作成
-                string strWhere = string.Empty;
-                strWhere = string.Format(" WHERE PersonCode = {0}", m_PersonCode);
-                strWhere += string.Format(" AND ConstructionCode = {0}", m_ConstructionCode);
-                strWhere += string.Format(" AND JobCategoryCode = {0}", JobCode);
-                strWhere += string.Format(" AND CompanyCode = {0}", CompanyCode);
+                StringBuilder strWhere = new StringBuilder();
+                strWhere.AppendFormat(" WHERE ConstructionCode = {0}", m_ConstructionCode);
+                strWhere.AppendFormat(" AND JobCategoryCode = {0}", JobCode);
+                strWhere.AppendFormat(" AND CompanyCode = {0}", CompanyCode);
 
                 // 日付指定SQL作成
-                //string strDate = string.Format(" AND '{0}' < TO_CHAR(DailyDataDate, 'YYYY/MM/DD')", GetTargetToday().ToShortDateString());
                 string strDate = string.Format(" AND '{0}' < DATE_FORMAT(DailyDataDate, '%Y/%m/%d')", GetTargetToday().ToShortDateString());
                 // 検索文字列結合
-                strSQL += strWhere + strDate;
+                strSQL.Append(strWhere);
+                strSQL.AppendFormat(" AND '{0}' < DATE_FORMAT(DailyDataDate, '%Y/%m/%d')", GetTargetToday().ToShortDateString());
 
                 ArrayList TargetList = new ArrayList();
-                if (!DetailDB.ExecuteReader(strSQL, ref TargetList, false)) return false;
+                if (!DetailDB.ExecuteReader(strSQL.ToString(), ref TargetList, false)) return false;
                 if (TargetList.Count == 0) return true;
 
-                string strUPDATE = string.Empty;
+                StringBuilder strUPDATE = new StringBuilder();
                 double dTotal = TotalVal;
                 // 更新固定文字列設定
                 foreach (object[] wrkobj in TargetList)
                 {
                     dTotal += CommonMotions.cnvDouble(wrkobj[1]);
-                    strUPDATE = string.Format("UPDATE DAILYDATADETAIL SET TOTALHEADCOUNT = {0}", dTotal);
-                    strUPDATE += strWhere;
-                    strUPDATE += string.Format(" AND DATE_FORMAT(DailyDataDate, '%Y/%m/%d') = '{0}'", CommonMotions.cnvString(wrkobj[0]));
+                    strUPDATE.Clear();
+                    strUPDATE.AppendFormat("UPDATE DAILYDATADETAIL SET TOTALHEADCOUNT = {0}", dTotal);
+                    strUPDATE.Append(strWhere.ToString());
+                    strUPDATE.AppendFormat(" AND DATE(DailyDataDate) = '{0}'", CommonMotions.cnvString(wrkobj[0]));
 
-                    if (!DetailDB.ExecuteNonQuery(strUPDATE, false)) return false;
+                    if (!DetailDB.ExecuteNonQuery(strUPDATE.ToString(), false)) return false;
                 }
 
                 return true;
@@ -3470,7 +3454,7 @@
             {
                 // 日報データが無い場合は登録する
                 DateTime dtWrk = CommonMotions.cnvDate(dTPCreateDate.Text);
-                string strSQL = ConstDB.CreatePrimarykeyString(m_PersonCode, dtWrk, m_ConstructionCode);
+                string strSQL = ConstDB.CreatePrimarykeyString(m_ConstructionCode, dtWrk);
                 DailyDataConstruction DataRec = new DailyDataConstruction();
                 if (!ConstDB.SelectAction(strSQL, ref DataRec)) m_bChengeAns = true;
 
@@ -3520,7 +3504,7 @@
             {
                 // 日報データが無い場合は登録する
                 DateTime dtWrk = CommonMotions.cnvDate(dTPCreateDate.Text);
-                string strSQL = ConstDB.CreatePrimarykeyString(m_PersonCode, dtWrk, m_ConstructionCode);
+                string strSQL = ConstDB.CreatePrimarykeyString(m_ConstructionCode, dtWrk);
                 DailyDataConstruction DataRec = new DailyDataConstruction();
                 if (!ConstDB.SelectAction(strSQL, ref DataRec)) m_bChengeAns = true;
 
@@ -3825,7 +3809,6 @@
                     m_SelectSaveExcel = frm.SelectPath;
                 }
 
-
                 // 印刷プロセス数取得
                 m_ProcessCount = GetProcessCount() + 2;       // 枚数＋ＥＸＣＥＬオブジェクト取得(2)
                 PrintProgress.Visible = true;
